org.eclipse.microprofile.rest.client.tck.interfaces

## Interface ClientHeaderParamClient

    @ClientHeaderParam(name="InterfaceHeaderExplicit",value="interfaceExplicit") @ClientHeaderParam(name="OverrideableExplicit",value="overrideableInterfaceExplicit") @ClientHeaderParam(name="InterfaceHeaderComputed",value="{computeForInterface}") @ClientHeaderParam(name="OverrideableComputed",value="{computeForInterface2}") @ClientHeaderParam(name="OptionalInterfaceHeader",value="{fail}",required=false) @ClientHeaderParam(name="InterfaceMultiValuedHeaderExplicit",value={"abc","xyz"})
     @Path(value="/")
    public interface ClientHeaderParamClient

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default String` `computeForInterface()`
`default String` `computeForInterface2(String headerName)`
`default String` `computeForMethod(String headerName)`
`default String` `computeForMethod2(String headerName)`
`default String` `computeForMethod3()`
`default String` `fail()`
`String` `headerParamOverridesInterfaceComputed(String param)`
`String` `headerParamOverridesInterfaceExplicit(String param)`
`String` `headerParamOverridesMethodComputed(String param)`
`String` `headerParamOverridesMethodExplicit(String param)`
`String` `interfaceComputed()`
`String` `interfaceExplicit()`
`String` `methodClientHeaderParamOverridesInterfaceComputed()`
`String` `methodClientHeaderParamOverridesInterfaceExplicit()`
`String` `methodComputed()`
`String` `methodComputeMultiValuedHeaderFromOtherClass()`
`String` `methodExplicit()`
`jakarta.json.JsonObject` `methodOptionalMethodHeaderNotSentWhenComputeThrowsException()`
`String` `methodRequiredComputeMethodFails()`

### Method Detail

#### interfaceExplicit

    @GET
    String interfaceExplicit()

#### methodExplicit

    @GET
     @ClientHeaderParam(name="MethodHeaderExplicit",
                       value="methodExplicit")
    String methodExplicit()

#### headerParamOverridesInterfaceExplicit

    @GET
    String headerParamOverridesInterfaceExplicit(@HeaderParam(value="InterfaceHeaderExplicit")
                                                      String param)

#### headerParamOverridesMethodExplicit

    @GET
     @ClientHeaderParam(name="MethodHeaderExplicit",
                       value="methodExplicit")
    String headerParamOverridesMethodExplicit(@HeaderParam(value="MethodHeaderExplicit")
                                                                                                                                               String param)

#### methodClientHeaderParamOverridesInterfaceExplicit

    @GET
     @ClientHeaderParam(name="OverrideableExplicit",
                       value="overriddenMethodExplicit")
    String methodClientHeaderParamOverridesInterfaceExplicit()

#### interfaceComputed

    @GET
    String interfaceComputed()

#### methodComputed

    @GET
     @ClientHeaderParam(name="MethodHeaderComputed",
                       value="{computeForMethod}")
    String methodComputed()

#### headerParamOverridesInterfaceComputed

    @GET
    String headerParamOverridesInterfaceComputed(@HeaderParam(value="InterfaceHeaderComputed")
                                                      String param)

#### headerParamOverridesMethodComputed

    @GET
     @ClientHeaderParam(name="MethodHeaderComputed",
                       value="{computeForMethod2}")
    String headerParamOverridesMethodComputed(@HeaderParam(value="MethodHeaderComputed")
                                                                                                                                                    String param)

#### methodClientHeaderParamOverridesInterfaceComputed

    @GET
     @ClientHeaderParam(name="OverrideableComputed",
                       value="{computeForMethod3}")
    String methodClientHeaderParamOverridesInterfaceComputed()

#### methodOptionalMethodHeaderNotSentWhenComputeThrowsException

    @GET
     @ClientHeaderParam(name="OptionalMethodHeader",value="{fail}",required=false) @ClientHeaderParam(name="MethodHeaderExplicit",value="SomeValue")
    jakarta.json.JsonObject methodOptionalMethodHeaderNotSentWhenComputeThrowsException()

#### methodRequiredComputeMethodFails

    @GET
     @ClientHeaderParam(name="WillCauseFailure",
                       value="{fail}")
    String methodRequiredComputeMethodFails()

#### methodComputeMultiValuedHeaderFromOtherClass

    @GET
     @ClientHeaderParam(name="MultiValueInvokedFromAnotherClass",
                       value="{org.eclipse.microprofile.rest.client.tck.ext.HeaderGenerator.generateHeader}")
    String methodComputeMultiValuedHeaderFromOtherClass()

#### computeForInterface

    default String computeForInterface()

#### computeForInterface2

    default String computeForInterface2(String headerName)

#### computeForMethod

    default String computeForMethod(String headerName)

#### computeForMethod2

    default String computeForMethod2(String headerName)

#### computeForMethod3

    default String computeForMethod3()

#### fail

    default String fail()